Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 26 May 2017, 13:02
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Problem with HP DESKJET F380
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
bio3

Joined: 08 Feb 2017
Posts: 7

PostPosted: Wed 08 Feb 2017, 21:10    Post subject:  Problem with HP DESKJET F380
Subject description: the printer it's intalled but it's idle
 

the printer it's intalled but it's idle, if i send a work to print, it never prints, and give the error hpcups file does not work

here its the last 3 lines of error log after i've installed it for 40th time.

I've intalled hplip 3.16.11

E [08/Feb/2017:19:57:21 +0000] [cups-deviced] PID 6119 (hp) stopped with status 1!
E [08/Feb/2017:19:57:26 +0000] [cups-driverd] Skipping "/usr/share/cups/model/foomatic-ppds/ppd": loop detected!
E [08/Feb/2017:19:57:26 +0000] [cups-driverd] Skipping "/usr/share/ppd": loop detected!

Can anyone help me? i've done everything i know. Rolling Eyes
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 8700
Location: Charleston S.C. USA

PostPosted: Thu 09 Feb 2017, 00:55    Post subject:  

First always, always state what version of Puppy you are using.!!!!

Have you followed the procedures shown here?
http://www.murga-linux.com/puppy/viewtopic.php?t=59015

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
bio3

Joined: 08 Feb 2017
Posts: 7

PostPosted: Thu 09 Feb 2017, 10:01    Post subject:  

bigpup wrote:
First always, always state what version of Puppy you are using.!!!!


I'm on lucid 5.2.8

Quote:
Have you followed the procedures shown here?
http://www.murga-linux.com/puppy/viewtopic.php?t=59015


I have... and nothing works.

Hplip pets there are down in that post btw.. Smile
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 472
Location: Altair IV , Just north of Eeyore Junction.

PostPosted: Thu 09 Feb 2017, 11:20    Post subject:  

Where did you get the printer driver you installed?

Have you had the printer working before?

How is puppy installed?

.

_________________
.
Back to top
View user's profile Send private message 
bio3

Joined: 08 Feb 2017
Posts: 7

PostPosted: Thu 09 Feb 2017, 11:45    Post subject:  

perdido wrote:
Where did you get the printer driver you installed?


I've manually look for ppd for the printer

Quote:
Have you had the printer working before?


Yes i have, but the hhd broke down and had to replace it and install everything again

Quote:
How is puppy installed?


It's fully install on the hhd.
[/code]
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 472
Location: Altair IV , Just north of Eeyore Junction.

PostPosted: Thu 09 Feb 2017, 11:57    Post subject:  

OK, so we are prying info from you bit by bit.

Running Lucid 5.2.8 as a full install.
Printer was working before somewhere, but you did not indicate it was linux.

You will not tell us where you got the printer driver that does not work.

You make it difficult to help.

.

_________________
.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 472
Location: Altair IV , Just north of Eeyore Junction.

PostPosted: Thu 09 Feb 2017, 12:13    Post subject:  

You should uninstall whatever printer driver you have and start from fresh.

You can use hplip driver Minimum HPLIP version 0.9.9
http://hplipopensource.com/hplip-web/models/deskjet_aio/deskjet_f300_series.html

Uninstall the non-working driver/package you installed.

Try one of the hplip pet packages from here
https://archive.org/download/Puppy_Linux_Skami_Driver_Repo

.

_________________
.
Back to top
View user's profile Send private message 
bio3

Joined: 08 Feb 2017
Posts: 7

PostPosted: Thu 09 Feb 2017, 15:22    Post subject:  

perdido wrote:
You should uninstall whatever printer driver you have and start from fresh.

You can use hplip driver Minimum HPLIP version 0.9.9
http://hplipopensource.com/hplip-web/models/deskjet_aio/deskjet_f300_series.html

Uninstall the non-working driver/package you installed.

Try one of the hplip pet packages from here
https://archive.org/download/Puppy_Linux_Skami_Driver_Repo



Should i install both or the pet package?

Quote:
You will not tell us where you got the printer driver that does not work.


I've got it from hplipopensource.com

Quote:
You make it difficult to help.


I'm sorry[/quote]
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 472
Location: Altair IV , Just north of Eeyore Junction.

PostPosted: Thu 09 Feb 2017, 16:13    Post subject:  

Ok no problem.

Best to stick with the hplip .pet packages that are configured for puppy,

Uninstall the driver package you got from hplipopensource.com

Install a .pet package from https://archive.org/download/Puppy_Linux_Skami_Driver_Repo

For example https://archive.org/download/Puppy_Linux_Skami_Driver_Repo/hplip-3.9.2.pet

Any of the following .pet packages should work.
Code:
hplip-2.8.10.pet                                                                   07-Aug-2016 17:35     12.7M
hplip-2.8.12.pet                                                                   07-Aug-2016 17:35     12.9M
hplip-2.8.2.pet                                                                    07-Aug-2016 17:37     11.1M
hplip-2.8.4.pet                                                                    07-Aug-2016 17:36     11.8M
hplip-2.8.5.pet                                                                    07-Aug-2016 17:41     8.3M
hplip-2.8.6b.pet                                                                   07-Aug-2016 17:41     9.2M
hplip-2.8.7.pet                                                                    07-Aug-2016 17:40     9.6M
hplip-2.8.9.pet                                                                    07-Aug-2016 17:38     10.5M
hplip-3.9.2.pet                                                                    07-Aug-2016 17:38     10.9M


You may have to reboot computer to load driver.

.

_________________
.
Back to top
View user's profile Send private message 
bio3

Joined: 08 Feb 2017
Posts: 7

PostPosted: Thu 09 Feb 2017, 16:48    Post subject:  

perdido wrote:
Ok no problem.

Best to stick with the hplip .pet packages that are configured for puppy,

Uninstall the driver package you got from hplipopensource.com

Install a .pet package from https://archive.org/download/Puppy_Linux_Skami_Driver_Repo

For example https://archive.org/download/Puppy_Linux_Skami_Driver_Repo/hplip-3.9.2.pet

Any of the following .pet packages should work.
Code:
hplip-2.8.10.pet                                                                   07-Aug-2016 17:35     12.7M
hplip-2.8.12.pet                                                                   07-Aug-2016 17:35     12.9M
hplip-2.8.2.pet                                                                    07-Aug-2016 17:37     11.1M
hplip-2.8.4.pet                                                                    07-Aug-2016 17:36     11.8M
hplip-2.8.5.pet                                                                    07-Aug-2016 17:41     8.3M
hplip-2.8.6b.pet                                                                   07-Aug-2016 17:41     9.2M
hplip-2.8.7.pet                                                                    07-Aug-2016 17:40     9.6M
hplip-2.8.9.pet                                                                    07-Aug-2016 17:38     10.5M
hplip-3.9.2.pet                                                                    07-Aug-2016 17:38     10.9M


You may have to reboot computer to load driver.

.


I'll do it and let you know... Thanks for the moment.
Back to top
View user's profile Send private message 
bio3

Joined: 08 Feb 2017
Posts: 7

PostPosted: Thu 09 Feb 2017, 19:04    Post subject:  

bio3 wrote:
perdido wrote:
Ok no problem.

Best to stick with the hplip .pet packages that are configured for puppy,

Uninstall the driver package you got from hplipopensource.com

Install a .pet package from https://archive.org/download/Puppy_Linux_Skami_Driver_Repo

For example https://archive.org/download/Puppy_Linux_Skami_Driver_Repo/hplip-3.9.2.pet

Any of the following .pet packages should work.
Code:
hplip-2.8.10.pet                                                                   07-Aug-2016 17:35     12.7M
hplip-2.8.12.pet                                                                   07-Aug-2016 17:35     12.9M
hplip-2.8.2.pet                                                                    07-Aug-2016 17:37     11.1M
hplip-2.8.4.pet                                                                    07-Aug-2016 17:36     11.8M
hplip-2.8.5.pet                                                                    07-Aug-2016 17:41     8.3M
hplip-2.8.6b.pet                                                                   07-Aug-2016 17:41     9.2M
hplip-2.8.7.pet                                                                    07-Aug-2016 17:40     9.6M
hplip-2.8.9.pet                                                                    07-Aug-2016 17:38     10.5M
hplip-3.9.2.pet                                                                    07-Aug-2016 17:38     10.9M


You may have to reboot computer to load driver.

.


I'll do it and let you know... Thanks for the moment.


Ok, it keeps telling it's idle, i've sent something to print and nothing.

Here it's the log of today.

E [09/Feb/2017:10:18:13 +0000] Unable to open listen socket for address :::631 - Address family not supported by protocol.
E [09/Feb/2017:16:45:54 +0000] Unable to open listen socket for address :::631 - Address family not supported by protocol.
E [09/Feb/2017:19:31:21 +0000] Unable to open listen socket for address :::631 - Address family not supported by protocol.
E [09/Feb/2017:19:35:03 +0000] Unable to open listen socket for address :::631 - Address family not supported by protocol.
E [09/Feb/2017:19:36:11 +0000] [cups-deviced] PID 8916 (hpfax) stopped with status 127!
E [09/Feb/2017:19:36:12 +0000] [cups-deviced] PID 8918 (hp) stopped with status 127!
E [09/Feb/2017:19:36:32 +0000] [cups-deviced] PID 9225 (hp) stopped with status 127!
E [09/Feb/2017:19:36:32 +0000] [cups-deviced] PID 9223 (hpfax) stopped with status 127!
E [09/Feb/2017:19:36:47 +0000] [cups-driverd] Skipping "/usr/share/cups/model/foomatic-ppds/ppd": loop detected!
E [09/Feb/2017:19:36:48 +0000] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [09/Feb/2017:19:42:30 +0000] Unable to open listen socket for address :::631 - Address family not supported by protocol.



But when i go to access log put this



localhost - - [09/Feb/2017:19:27:32 +0000] "POST /jobs HTTP/1.1" 200 140 Cancel-Job successful-ok
localhost - - [09/Feb/2017:19:27:38 +0000] "POST /admin/ HTTP/1.1" 200 53 - -
localhost - - [09/Feb/2017:19:27:38 +0000] "POST /admin/ HTTP/1.1" 200 2264 - -
localhost - - [09/Feb/2017:19:27:39 +0000] "POST /admin/ HTTP/1.1" 200 78 - -
localhost - - [09/Feb/2017:19:27:39 +0000] "POST /admin/ HTTP/1.1" 200 138 CUPS-Delete-Printer successful-ok
localhost - - [09/Feb/2017:19:27:39 +0000] "POST /admin/ HTTP/1.1" 200 2078 - -
localhost - - [09/Feb/2017:19:36:11 +0000] "POST /admin/ HTTP/1.1" 200 14 - -
localhost - - [09/Feb/2017:19:36:11 +0000] "POST / HTTP/1.1" 200 2038 CUPS-Get-Devices -
localhost - - [09/Feb/2017:19:36:11 +0000] "POST /admin/ HTTP/1.1" 200 5256 - -
localhost - - [09/Feb/2017:19:36:32 +0000] "POST /admin/ HTTP/1.1" 200 14 - -
localhost - - [09/Feb/2017:19:36:32 +0000] "POST / HTTP/1.1" 200 2038 CUPS-Get-Devices -
localhost - - [09/Feb/2017:19:36:32 +0000] "POST /admin/ HTTP/1.1" 200 5256 - -
localhost - - [09/Feb/2017:19:36:40 +0000] "POST /admin HTTP/1.1" 200 121 - -
localhost - - [09/Feb/2017:19:36:40 +0000] "POST /admin HTTP/1.1" 200 3352 - -
localhost - - [09/Feb/2017:19:36:47 +0000] "POST /admin HTTP/1.1" 200 278 - -
localhost - - [09/Feb/2017:19:36:47 +0000] "POST / HTTP/1.1" 200 432950 CUPS-Get-PPDs -
localhost - - [09/Feb/2017:19:36:47 +0000] "POST /admin HTTP/1.1" 200 128075 - -
localhost - - [09/Feb/2017:19:36:56 +0000] "POST /admin HTTP/1.1" 200 1906 - -
localhost - - [09/Feb/2017:19:36:56 +0000] "POST /admin/ HTTP/1.1" 200 409 CUPS-Add-Modify-Printer successful-ok
localhost - - [09/Feb/2017:19:36:56 +0000] "POST /admin HTTP/1.1" 200 11319 - -
localhost - - [09/Feb/2017:19:37:01 +0000] "POST /admin HTTP/1.1" 200 277 - -
localhost - - [09/Feb/2017:19:37:01 +0000] "POST /admin/ HTTP/1.1" 200 21364 CUPS-Add-Modify-Printer successful-ok
localhost - - [09/Feb/2017:19:37:01 +0000] "POST /admin HTTP/1.1" 200 2297 - -
localhost - - [09/Feb/2017:19:37:23 +0000] "POST /printers/HP_Deskjet_F300_series HTTP/1.1" 200 469 Print-Job successful-ok
localhost - - [09/Feb/2017:19:44:10 +0000] "POST /printers/HP_Deskjet_F300_series HTTP/1.1" 200 109390 Print-Job successful-ok
localhost - - [09/Feb/2017:19:47:14 +0000] "POST /printers/HP_Deskjet_F300_series HTTP/1.1" 200 469 Print-Job successful-ok
localhost - - [09/Feb/2017:19:53:13 +0000] "POST /printers/HP_Deskjet_F300_series HTTP/1.1" 200 469 Print-Job successful-ok
localhost - - [09/Feb/2017:19:55:20 +0000] "POST /printers/HP_Deskjet_F300_series HTTP/1.1" 200 469 Print-Job successful-ok

I think we're getting close! Exclamation
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 472
Location: Altair IV , Just north of Eeyore Junction.

PostPosted: Thu 09 Feb 2017, 19:30    Post subject:  

How did you uninstall the other package?

Please post the contents of the cupsd.conf file.
It is located in /etc/cups/

.

_________________
.
Back to top
View user's profile Send private message 
bio3

Joined: 08 Feb 2017
Posts: 7

PostPosted: Mon 20 Feb 2017, 10:44    Post subject:  

sorry i've gone a while... Rolling Eyes

perdido wrote:
How did you uninstall the other package?


i've done it with de ppm

Quote:
Please post the contents of the cupsd.conf file.
It is located in /etc/cups/

.


here's cupsd.conf

# Show general information in error_log.
LogLevel warn
SystemGroup lpadmin
# Allow remote access
Port 631
Listen /var/run/cups/cups.sock
# Enable printer sharing and shared printers.
Browsing On
BrowseOrder allow,deny
BrowseAllow all
BrowseRemoteProtocols CUPS
BrowseAddress @LOCAL
BrowseLocalProtocols CUPS dnssd
DefaultAuthType Basic
<Location /admin/conf>
AuthType None
# Restrict access to the configuration files...
Order allow,deny
</Location>
<Policy default>
<Limit All>
Order deny,allow
</Limit>
</Policy>
<Location />
# Allow shared printing...
Order allow,deny
Allow all
</Location>
<Location /admin>
# Restrict access to the admin pages...
Order allow,deny
</Location>
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 11261
Location: Stratford, Ontario

PostPosted: Sun 26 Feb 2017, 12:26    Post subject:  

Once you install "full" HPLIP through the Puppy Package Manager, your best option is a clean restart that removes your old savefile/folder. Then install an HPLIP PET specifically made for Puppy.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1078s ][ Queries: 14 (0.0048s) ][ GZIP on ]